# Disable All Update & Notification

**Contributors:** pirtpalmatharu
**Donate link:** [https://www.paypal.com/paypalme/pirtpalsinghmatharu](https://www.paypal.com/paypalme/pirtpalsinghmatharu/10usd)  
**Tags:** disable-updates, disable-notifications, core-updates, plugin-update, update-control  
**Requires at least:** 3.0.1  
**Tested up to:** 6.4  
**Requires PHP:** 5.2.4  
**Stable tag:** 1.0.7
**License:** GPLv2+  
**License URI:** [http://www.gnu.org/licenses/gpl-2.0.html](http://www.gnu.org/licenses/gpl-2.0.html)  
A plugin to disable all WordPress core, theme, and plugin updates, and remove update notifications.


## Description
The "Disable All Update & Notification" plugin offers a comprehensive solution for WordPress users seeking to manage their update processes across multiple environments seamlessly. By implementing this plugin, administrators can effectively disable all WordPress updates, including those for the core, plugins, and themes. This functionality proves particularly beneficial for individuals managing various environments, such as live and staging servers, where update synchronization is crucial but independent updates are undesirable.

Moreover, this plugin goes beyond mere update suppression by eliminating update notifications altogether. Users can rest assured that their WordPress installations remain static across different environments without the distraction of update prompts.

**Features**
- Disables WordPress core updates, ensuring stability and consistency across environments.
- Prevents updates for themes and plugins, empowering administrators to control their WordPress ecosystem without interruption.
- Suppresses notifications for all available updates, maintaining a distraction-free user experience.
- Removes the update menu item from the admin dashboard, streamlining the interface and reducing clutter.

With the "Disable All Update & Notification" plugin, users can confidently manage their WordPress installations across various environments with ease and efficiency, ensuring a hassle-free experience for administrators and users alike.






## Installation

### Automated Installation

1. Go to `Plugin` -> `Add New`.
2. Search for "Disable All Update & Notification".
3. Download, install, and activate the plugin.

### Manual Installation

1. Download **Disable All Update & Notification**.
2. Upload the plugin directory to your `/wp-content/plugins/` directory, using your preferred method (FTP, SFTP, SCP, etc.).
3. Activate the plugin from your plugins page.

## Frequently Asked Questions

**Problem after activating?**

Deactivate through the plugin page or via FTP/File Manager by simply deleting the folder named "disable-all-update-notification" inside `/wp-content/plugins` and report on support.

**Need to update something?**

Deactivate the plugin temporarily (to check updates & do updates) and activate the plugin again.

## Changelog

### 1.0.7
- Fixed minor bugs and optimized code for improved performance.

### 1.0.6
- Fixed minor bugs and optimized code for improved performance.

### 1.0.5
- Fixed minor bugs and optimized code for improved performance.

### 1.0.4
- Updated README file to improve clarity and provide comprehensive instructions for users.

### 1.0.3
- Fixed minor bugs and optimized code for improved performance.

### 1.0.2
- Improved compatibility with various WordPress versions and configurations

### 1.0.1
- Initial Release